package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.utils.ExtensionsKt;
import com.gh.gamecenter.message.MessageNormalFragment;

/**
 * Created by khy on 10/04/18.
 */

public class MessageInviteActivity extends ToolBarActivity {

    public static Intent getIntent(Context context, String messageType, String outerInfo, String entrance) {
        Bundle bundle = new Bundle();
        bundle.putString(EntranceConsts.KEY_MESSAGE_TYPE, messageType);
        bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance);
        bundle.putString(EntranceConsts.KEY_OUTER_INFO, outerInfo);
        return getTargetIntent(context, MessageInviteActivity.class, MessageNormalFragment.class, bundle);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    @Override
    protected void onDarkModeChanged() {
        super.onDarkModeChanged();
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }
}
